@cryptotaxi247 / netdata-1 / commits / 0a16c36fe

Add Ubuntu 24.10 and Fedora 41 to CI. (#18753)

* Add Ubuntu 24.10 and Fedora 41 to CI. * Fix broken DNF package install checking in dependency handling script. * Force usage of DNF on Fedora for dependency handling.

Austin S. Hemmelgarn committed Oct 11, 2024 at 11:27 UTC 0a16c36fe81aba8fdef2b75078718c80b4088e8b
2 files changed +28 -6
.github/data/distros.yml
+14 -2
@@ -174,7 +174,7 @@ include:
174
175 - &fedora
176 distro: fedora
177 - version: "40"
177 + version: "41"
178 support_type: Core
179 notes: ''
180 eol_check: true
@@ -183,13 +183,20 @@ include:
183 dnf remove -y json-c-devel
184 packages: &fedora_packages
185 type: rpm
186 - repo_distro: fedora/40
186 + repo_distro: fedora/41
187 builder_rev: *def_builder_rev
188 arches:
189 - x86_64
190 - aarch64
191 test:
192 ebpf-core: true
193 + - <<: *fedora
194 + version: "40"
195 + packages:
196 + <<: *fedora_packages
197 + repo_distro: fedora/40
198 + test:
199 + ebpf-core: true
200 - <<: *fedora
201 version: "39"
202 packages:
@@ -303,6 +310,11 @@ include:
310 - arm64
311 test:
312 ebpf-core: true
313 + - <<: *ubuntu
314 + version: "24.10"
315 + packages:
316 + <<: *ubuntu_packages
317 + repo_distro: ubuntu/oracular
318 - <<: *ubuntu
319 version: "22.04"
320 packages:
packaging/installer/install-required-packages.sh
+14 -4
@@ -411,25 +411,35 @@ detect_package_manager_from_distribution() {
411 centos* | clearos* | rocky* | almalinux*)
412 package_installer=""
413 tree="centos"
414 - [[ -n "${yum}" ]] && package_installer="install_yum"
414 [[ -n "${dnf}" ]] && package_installer="install_dnf"
415 + [[ -n "${yum}" ]] && package_installer="install_yum"
416 if [[ "${IGNORE_INSTALLED}" -eq 0 ]] && [[ -z "${package_installer}" ]]; then
417 echo >&2 "command 'yum' or 'dnf' is required to install packages on a '${distribution} ${version}' system."
418 exit 1
419 fi
420 ;;
421
422 - fedora* | redhat* | red\ hat* | rhel*)
422 + redhat* | red\ hat* | rhel*)
423 package_installer=
424 tree="rhel"
425 - [[ -n "${yum}" ]] && package_installer="install_yum"
425 [[ -n "${dnf}" ]] && package_installer="install_dnf"
426 + [[ -n "${yum}" ]] && package_installer="install_yum"
427 if [[ "${IGNORE_INSTALLED}" -eq 0 ]] && [[ -z "${package_installer}" ]]; then
428 echo >&2 "command 'yum' or 'dnf' is required to install packages on a '${distribution} ${version}' system."
429 exit 1
430 fi
431 ;;
432
433 + fedora*)
434 + package_installer="install_dnf"
435 + tree="rhel"
436 + if [[ "${IGNORE_INSTALLED}" -eq 0 ]] && [[ -z "${package_installer}" ]]; then
437 + echo >&2 "command 'yum' or 'dnf' is required to install packages on a '${distribution} ${version}' system."
438 + exit 1
439 + fi
440 + ;;
441 +
442 +
443 ol*)
444 package_installer=
445 tree="ol"
@@ -1543,7 +1553,7 @@ install_yum() {
1553
1554 validate_install_dnf() {
1555 echo >&2 " > Checking if package '${*}' is installed..."
1546 - dnf list installed "${*}" > /dev/null 2>&1 || echo "${*}"
1556 + dnf list --installed "${*}" > /dev/null 2>&1 || echo "${*}"
1557 }
1558
1559 install_dnf() {